# BRML slurm configuration


# General
ControlMachine=srv-sched
AuthType=auth/munge
CacheGroups=0
#CheckpointType=checkpoint/none 
CryptoType=crypto/munge
#DisableRootJobs=NO 
#EnforcePartLimits=NO 
#Epilog=
#EpilogSlurmctld= 
FirstJobId=1000
#MaxJobId=999999 
GresTypes=gpu
#GroupUpdateForce=0 
#GroupUpdateTime=600 
#JobCheckpointDir=/var/slurm/checkpoint 
#JobCredentialPrivateKey=
#JobCredentialPublicCertificate=
#JobFileAppend=0 
JobRequeue=1 
JobSubmitPlugins=lua 
#KillOnBadExit=0 
#Licenses=foo*4,bar 
#MailProg=/bin/mail 
#MaxJobCount=5000 
#MaxStepCount=40000 
#MaxTasksPerNode=128 
MpiDefault=none
#MpiParams=ports=#-# 
#PluginDir= 
PlugStackConfig=/etc/slurm-llnl/plugstack.conf
#PrivateData=jobs 
#ProctrackType=proctrack/linuxproc
ProctrackType=proctrack/cgroup 
Prolog=/etc/slurm-llnl/health_test.sh
#PrologSlurmctld= 
#PropagatePrioProcess=0 
#PropagateResourceLimits= 
#PropagateResourceLimitsExcept= 
ReturnToService=2
#SallocDefaultCommand= 
SlurmctldPidFile=/var/run/slurmctld.pid
SlurmctldPort=6817
SlurmdPidFile=/var/run/slurmd.pid
SlurmdPort=6818
SlurmdSpoolDir=/var/spool/slurmd
SlurmUser=slurm
#SlurmdUser=root 
#SrunEpilog=
#SrunProlog=
StateSaveLocation=/var/spool/slurmd.state
SwitchType=switch/none
#TaskEpilog=
TaskPlugin=task/affinity
#TaskPlugin=task/cgroup #DEBUG
#TaskPluginParam=Sched,Verbose
TaskPluginParam=Sched
#TaskProlog=
#TopologyPlugin=topology/tree 
#TmpFs=/tmp 
#TrackWCKey=no 
#TreeWidth= 
#UnkillableStepProgram= 
#UsePAM=0 
RebootProgram=/sbin/reboot



# TIMERS 
BatchStartTimeout=20 
#CompleteWait=0 
#EpilogMsgTime=2000 
GetEnvTimeout=20
HealthCheckInterval=10 
HealthCheckProgram=/etc/slurm-llnl/health_check.sh
InactiveLimit=0
KillWait=90
MessageTimeout=30 
#ResvOverRun=0 
MinJobAge=60000
OverTimeLimit=1
SlurmctldTimeout=120
SlurmdTimeout=300
#UnkillableStepTimeout=60 
#VSizeFactor=0 
Waittime=10
 

 
# SCHEDULING 
#DefMemPerCPU=2048
DefMemPerNode=2048
FastSchedule=0
#MaxMemPerCPU=0 
#SchedulerRootFilter=1 
#SchedulerTimeSlice=30 
#SchedulerType=sched/builtin
SchedulerType=sched/backfill
#SchedulerParameters=default_queue_depth=1000,max_job_bf=1000
SchedulerPort=7321
#SelectType=select/linear
SelectType=select/cons_res
SelectTypeParameters=CR_Core_Memory

 
 
# JOB PRIORITY 
PriorityType=priority/multifactor
PriorityDecayHalfLife=7-0
PriorityCalcPeriod=5
PriorityFavorSmall=NO
PriorityMaxAge=7-0
PriorityUsageResetPeriod=NONE
PriorityWeightAge=0
PriorityWeightFairshare=10000 
PriorityWeightJobSize=0
PriorityWeightPartition=10000000
PriorityWeightQOS=0 
 
 
# Accounting
AccountingStorageEnforce=associations,limits,qos,safe
AccountingStorageHost=srv-sched
#AccountingStorageLoc=
#AccountingStoragePass=
AccountingStoragePort=6819
AccountingStorageType=accounting_storage/slurmdbd
#AccountingStorageUser=
AccountingStoreJobComment=YES
ClusterName=brml
#DebugFlags= 


# Job completion
#JobCompHost=
JobCompLoc=/var/log/slurm-llnl/job_completions
#JobCompPass=
#JobCompPort=
JobCompType=jobcomp/filetxt
#JobCompUser=
JobAcctGatherFrequency=10
JobAcctGatherType=jobacct_gather/linux
#JobAcctGatherType=jobacct_gather/cgroup



# Logging
SlurmctldDebug=info
SlurmctldLogFile=/var/log/slurm-llnl/slurmctld
SlurmdDebug=info
SlurmdLogFile=/var/log/slurm-llnl/slurmd
SlurmSchedLogLevel=1 
SlurmSchedLogFile=/var/log/slurm-llnl/slurmsched

 
 
# POWER SAVE SUPPORT FOR IDLE NODES (optional) 
#SuspendProgram= 
#ResumeProgram= 
#SuspendTimeout= 
#ResumeTimeout= 
#ResumeRate= 
#SuspendExcNodes= 
#SuspendExcParts= 
#SuspendRate= 
#SuspendTime= 
 

 
# PARTITIONS
PartitionName=DEFAULT Nodes=cn-[1-8] MaxTime=3:00:00 State=UP Priority=1 Shared=YES
PartitionName=normal Priority=1 Default=YES
PartitionName=gpu Priority=2 
PartitionName=highlong Priority=10 MaxTime=48:00:00 AllowGroups=brmlstaff




# COMPUTE NODES
NodeName=cn-1  Boards=1 SocketsPerBoard=1 CoresPerSocket=4 ThreadsPerCore=2 RealMemory=32086 TmpDisk=187612 Gres=gpu
NodeName=cn-2  Boards=1 SocketsPerBoard=1 CoresPerSocket=4 ThreadsPerCore=2 RealMemory=32086 TmpDisk=187612 Gres=gpu
NodeName=cn-3  Boards=1 SocketsPerBoard=1 CoresPerSocket=4 ThreadsPerCore=2 RealMemory=32086 TmpDisk=187612 Gres=gpu
NodeName=cn-4  Boards=1 SocketsPerBoard=1 CoresPerSocket=4 ThreadsPerCore=2 RealMemory=32086 TmpDisk=187612 Gres=gpu
NodeName=cn-5  Boards=1 SocketsPerBoard=2 CoresPerSocket=4 ThreadsPerCore=1 RealMemory=7984 TmpDisk=187611
NodeName=cn-6  Boards=1 SocketsPerBoard=1 CoresPerSocket=4 ThreadsPerCore=2 RealMemory=5928 TmpDisk=187611 Gres=gpu
NodeName=cn-7  Boards=1 SocketsPerBoard=2 CoresPerSocket=12 ThreadsPerCore=1 RealMemory=32398 TmpDisk=187611
NodeName=cn-8  Boards=1 SocketsPerBoard=2 CoresPerSocket=8 ThreadsPerCore=1 RealMemory=15852 TmpDisk=187611
